var search = document.querySelector(".search");
var searchBox = document.querySelector('.mui-search');
var errorMsg = {
	timeout: "网络请求超时",
	error: "网络出错",
	abort: "网络中断",
	parsererror: "数据解析出错",
};
var vm = new Vue({
	el: "#content",
	data: {
		token: '',
		page: 0,
		id: '',
		expressNo: '',
		orderId: '',
		expressCompany: '',
		sender: '',
		senderMobile: '',
		expType: '',
		innerPrice: '',
		createDate: '',
		list: [],
		allList: [],
		search: '',
		qrcode: null,
		isScrolling: false,
		scanBtn: false,
		disable: false,
		empty: false,
		lighting: false,
	},
	methods: {
		init: function() {
			var timer;
			// 详情加载 + 防多次触发点击
			mui(document.body).on('tap', '.detail', function() {
				var orderId = this.getAttribute("data-id");
				showWebview("./orderDetail.html", "orderDetail", {
					orderId: orderId
				})
			});
			// 软件盘搜索按钮
			document.querySelector(".search").addEventListener("keydown",function(e){
				if(e.keyCode == 13){
					clearTimeout(timer);
					timer = setTimeout(function(){
						vm.empty = false;
						vm.searchData();
					},500);
				}
			})
			// 修改返回事件
			var old_back = mui.back;
			mui.back = function() {
				if(vm.qrcode.scanner == null) {
					old_back();
				}
				vm.cancelScan();
			}
			document.querySelector('.scanBtn').addEventListener('longtap',function(e){
				
				e.preventDefault();
				return false;
			});
			document.querySelector('.scanBtn').ontouchmove = function(e) {
				e.preventDefault();
				return false;
			};
			document.querySelector('#bcid').ontouchmove = function(e) {
				e.preventDefault();
				return false;
			};
		},
		requestData: function() {
			return new Promise(function(resolve, reject) {
				mui.ajax("http://inn.kuaishao.xin/common/express/sendExList", {
					data: {
						token: vm.token,
						page: vm.page
					},
					dataType: 'json',
					type: 'get',
					success: function(res) {
						console.log(JSON.stringify(res))
						resolve(res);
					},
					error: function(xhr, type, errorThrown) {
						mui.toast(errorMsg[type]);
					}
				})
			});
		},
		getDate: function() {
			if(vm.isScrolling) return;
			vm.isScrolling = true;
			this.requestData().then(function(res) {
				if(res.errcode == 0) {
					var expresses = res.expresses;
					//判断若无数据则禁止上拉加载
					if(!res.expresses.length) {
						mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						vm.disable = true;
						vm.isScrolling = false;
						return;
					}
					vm.renderPage(expresses);
					vm.allList = vm.list;
					++vm.page;
				} else if(res.errcode == 402) {
					mui.toast("登录状态过期,请重新登录");
					var indexPage = plus.webview.getLaunchWebview();
					indexPage.show();
					return;
				}
				vm.isScrolling = false;
				if(vm.list.length == 0) {
					vm.empty = true;
					mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
				} else {
					vm.empty = false;
				}
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);

			});
		},
		renderPage: function(expresses) {
			var len = expresses.length;
			var dats = [];
			for(var i = 0; i < len; i++) {
				var obj = {};
				obj.id = expresses[i]._id;
				obj.sender = expresses[i].sender || '';
				obj.expressNo = expresses[i].expressNo || 　'';
				obj.senderMobile = expresses[i].senderMobile || '';
				obj.expType = expresses[i].expType || '';
				obj.orderNo = expresses[i].createDate || '';
				obj.createDate = timeToDate(expresses[i].createDate) || '';
				obj.innerPrice = expresses[i].innerPrice || '';
				obj.expressCompany = expresses[i].expressCompany || '';
				dats.push(obj);
			}
			vm.list = vm.list.concat(dats);
		},
		all: function(){
			if(vm.search === ""){
				vm.list = vm.allList;
				vm.empty = false;
				vm.disable = false;
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
				return;
			}
		},
		searchData: function() {
			if(vm.search == '') {
				vm.list = vm.allList;
				vm.empty = false;
				vm.disable = false;
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
				return;
			}
			if(!Number(vm.search) && Number(vm.search) != 0) {
				return mui.toast("输入单号有误")
			}
			vm.token = plus.storage.getItem('token');
			mui.ajax("http://inn.kuaishao.xin/common/express/selectSendRecord", {
				data: {
					token: vm.token,
					expressNo: vm.search,
				},
				dataType: 'json',
				type: 'get',
				success: function(res) {
					console.log(JSON.stringify(res));
					if(res.errcode == 402) {
						vm.search = '';
						mui.toast("登录状态过期,请重新登录")
						var indexPage = plus.webview.getLaunchWebview();
						indexPage.show();
						return;
					} else if(res.errcode == 0) {
						if(res.data.length == 0){
							vm.list = [];
							vm.empty = true;
							mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
							return;
						}
						vm.list = [];
						vm.renderPage(res.data);
						mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(errorMsg[type]);
				}
			})
		},
		update: function() {
			if(vm.search == '') {
				vm.page = 0;
				vm.list = [];
				vm.disable = false;
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
				vm.getDate();
			} else {
				vm.searchData();
			}
			mui("#refreshContainer").pullRefresh().endPulldownToRefresh();
		},
		scan: function() {
			if(!this.qrcode) return;
			search.blur();
			plus.nativeUI.showWaiting("正在初始化摄像头...");
			var self = this;
			vm.lighting = false;
			document.querySelector(".light").style.opacity = 0.5;
			mui('#refreshContainer').pullRefresh().disablePulldownToRefresh();
			setTimeout(function() {
				vm.scanBtn = true;
				self.qrcode.start();
			}, 300);
		},
		switchLight: function() {
			if(!this.qrcode) return;
			this.qrcode.toggleFlash();
			if(!vm.lighting) {
				document.querySelector(".light").style.opacity = 1;
				vm.lighting = true;
			} else {
				document.querySelector(".light").style.opacity = 0.5;
				vm.lighting = false;
			}
		},
		cancelScan: function() {
			if(!this.qrcode) return;
			this.qrcode.close();
			vm.scanBtn = false;
			mui('#refreshContainer').pullRefresh().enablePulldownToRefresh();
		},
	}
})

vm.init();

mui.plusReady(function() {
	vm.token = plus.storage.getItem('token');
	vm.requestData().then(function(res) {
		if(res.errcode == 402) {
			mui.toast("登录状态过期,请重新登录")
			var indexPage = plus.webview.getLaunchWebview();
			indexPage.show();
			return;
		}
		if(res.errcode != 0) return;
		var expresses = res.expresses;
		if(!expresses || !expresses.length) return vm.empty = true;
		vm.renderPage(expresses);
		vm.allList = vm.list;
		++vm.page;
	});
	// 点击扫码按钮
	vm.qrcode = new Qrcode({
		lazy: true,
		filters: [plus.barcode.QR, plus.barcode.AZTEC],
	});
	vm.qrcode.on("marked", function(data) {
		vm.qrcode.close();
		vm.scanBtn = false;
		mui('#refreshContainer').pullRefresh().enablePulldownToRefresh();
		plus.nativeUI.showWaiting();
		try {
			data = JSON.parse(data.code);
		} catch(e) {
			plus.nativeUI.closeWaiting();
			mui.toast("该二维码不受支持")
			return;
		}
		mui.ajax("http://inn.kuaishao.xin/common/express/sacnnerInHouse", {
			data: {
				token: vm.token,
				oid: data.oid,
				wid: data.wid,
				date: data.date
			},
			dataType: 'json',
			type: 'post',
			success: function(res) {
				console.log(JSON.stringify(res))
				if(res.errcode == 0) {
					vm.list = [];
					vm.page = 0;
					vm.getDate();
					mui.toast("客户包裹已送达");
				} else if(res.errcode == 402) {
					mui.toast("登录状态过期,请重新登录");
					var indexPage = plus.webview.getLaunchWebview();
					indexPage.show();
					return;
				} else {
					mui.toast(res.errmsg);
				}
				plus.nativeUI.closeWaiting();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(errorMsg[type]);
			},
		})
	});
	vm.qrcode.on("started", function() {
		plus.nativeUI.closeWaiting();
	});
});

mui.init({
	gestureConfig:{
		longtap: true
	},
	pullRefresh: {
		container: '#refreshContainer',
		down: {
			style: 'circle',
			offset: '80px',
			contentrefresh: "ing",
			callback: function() {
				vm.update()
			}
		},
		up: {
			height: 10, //可选.默认50.触发上拉加载拖动距离
			contentrefresh: "正在加载...",
			contentnomore: "没有更多数据了",
			contentdown: "",
			callback: function() {
				if(vm.disable) {
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
					return;
				}
				vm.getDate();
			}
		}

	}
});