var vm = new Vue({
	el:"#content",
	data:{
		menuState: false, //右上角菜单显隐状态
		token: null,
		page: -1,
		activeOp: 0, //当前展示内容项
		dataList:[], //数据列表
		noData: false,
		typeName: ["派件支出","寄件收入","提现","充值"],
		logoUrl: ["../img/detail/payLogo.png","../img/detail/incomeLogo.png","../img/detail/withdrawLogo.png","../img/detail/rechargeLogo.png"]
	}, 
	methods:{ 
		init: function(){
			$("body").click("#content",function(e){
				if(e.target._prevClass == "options"){
					return;
				}
				if(vm.menuState){
					vm.menuState = false;
					$("#topPopover").removeClass("mui-active");
				}
			})
			vm.requestData();
		},
		//右上角菜单显隐
		toggleMenu: function(){
			if(vm.menuState){
				vm.menuState = false;
				$("#topPopover").removeClass("mui-active");
				return;
			}
			vm.menuState = true;
			$("#topPopover").addClass("mui-active");
		},
		//切换项目明细
		changeType: function(type){
			vm.menuState = false;
			vm.activeOp = type;
			vm.page = -1;
			vm.dataList = [];
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			vm.requestData();
		},
		//请求数据
		requestData: function(){
			console.log(vm.page);
			$.ajax({
				url: 'http://inn.kuaishao.xin/common/express/finance',
				data:{
					token: vm.token,
					type: vm.activeOp,
					page: vm.page + 1
				},
				success: function(res){
					console.log(JSON.stringify(res));
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
					mui('#refreshContainer').pullRefresh().endPulldownToRefresh(false);
					if(res.errcode == 0){
						vm.noData = false;
						if(res.balances.length == 0){
							vm.noData = true;
							mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
							return;
						}
						vm.renderPage(res.balances);
					}else if(res.errcode == 402) {
						mui.toast("登录状态过期,请重新登录");
						var indexPage = plus.webview.getLaunchWebview();
						indexPage.show();
						return;
					}
				}
			})
		},
		//渲染数据
		renderPage: function(data){
			data.forEach(function(item,index){
				var obj = {};
				obj.type = vm.typeName[vm.activeOp];
				obj.money = item.money.toFixed(2);
				obj.createDate = timeToDate(item.createDate);
				vm.dataList.push(obj);
			})
		}
	}
})
mui.init({
	pullRefresh: {
		container: '#refreshContainer',
		down: {
			style: 'circle',
			offset: '80px',
			contentrefresh: "ing",
			callback: function() {
				vm.page = -1;
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
				vm.dataList = [];
				vm.requestData();
			}
		},
		up: {
			height: 10, //可选.默认50.触发上拉加载拖动距离
			contentrefresh: "正在加载...",
			contentnomore: "没有更多数据了",
			contentdown: "",
			callback: function(){
				vm.page++;
				vm.requestData()
			}
		}
	},
});
mui.plusReady(function(){
	vm.token = plus.storage.getItem('token');
	vm.init();
})