	var vm = new Vue({
		el: "#content",
		data: {
			ws: null,
			barcodeScan: null,
		    isNormalOrder: true,
		    bulb: false, // 闪光灯是否开启
	        token: null,
	        barCodeFilters: [],
	        recordData: [], //最近三条入库记录
	        scanTimeGap: 1000,	//扫描间隙为1s	
	        activeOp: -1,
	        normalOrder: "",
	        unNormalOrder: "",
	        money: "",
	        tip: "加载中...",
	        title: "入库单号记录",
	        playerQueue: [],
	        flag: true,
	        togglePlay: true,
	    },
		methods: {
			// 闪关灯
			light: function() {
				vm.bulb = !vm.bulb;
				if(!vm.barcodeScan) {
					return mui.toast("组件加载中，请稍后再试！");
				}
				vm.barcodeScan.setFlash(vm.bulb);
			},
			// 返回按钮
			back: function() {
				vm.barcodeScan && vm.barcodeScan.close();
				vm.barcodeScan = null;
				mui.back();
			},
			// 手动输入
			manuallyIn: function(){
				vm.isNormalOrder = true;
				vm.activeOp = 1;
				vm.title = "手动输入";
			},
			// 到付件
			toPayExpress: function() {
				vm.isNormalOrder = false;
				vm.activeOp = 0;
				vm.title = "到付件";
			},
			// "取消" --> 返回入库单号记录
			goIndex: function(){
				vm.isNormalOrder = true;
				vm.activeOp = -1;
				vm.normalOrder = "";
				vm.unNormalOrder = "";
				vm.money = "";
				vm.title = "入库单号记录";
				if(!vm.barcodeScan){
					setTimeout(function() {
						vm.startBarCodeScanner();
					}, 200)
				}
			},
			// 从相册中选择二维码图片 
	        scanPicture: function() {
				plus.gallery.pick(function(path) {
					plus.barcode.scan(path, vm.onmarked, function(error) {
						plus.nativeUI.alert('无法识别此图片');
					});
				}, function(err) {
					console.log('Failed: ' + err.message);
				});
			},
			// 输入单号
			enterOrder: function(){
				vm.tip = "";
				setTimeout(function() {
					vm.barcodeScan && vm.barcodeScan.close();
					vm.barcodeScan = null;
				}, 500)
			},
			// 输入框失去焦点
			blurInput: function(){
				vm.tip= "加载中...";
				setTimeout(function() {
					vm.startBarCodeScanner();
				}, 500)
			},
			// 扫码
			startBarCodeScanner: function() {
				if(!vm.barcodeScan) {
					vm.barcodeScan = new plus.barcode.Barcode('bcid', vm.barCodeFilters, {
						frameColor: '#38a9fe',
						scanbarColor: '#38a9fe',
					});
					vm.barcodeScan.onmarked = vm.onmarked;
				}
				vm.barcodeScan.start({sound: 'none'});
			},
			// 条码扫描结果过滤上报
		    onmarked: function(type, result, file) {
				result = result.replace(/[\s|\"]*/g,"");
				mui.ajax("http://gateway.kuaishao.xin/kof.do?action=report", {
					type: "GET",
					data: {
						eno: result
					},
					success: function(ret) {
						console.log(JSON.stringify(ret));
					},
					fail: function() {
						mui.toast("上报失败!!");
					},
				});
				if(vm.activeOp == -1){
					vm.NormalHandler(result);
				}else if(vm.activeOp == 1) {
					vm.normalOrder = result;
				}else if(vm.activeOp == 0){
					vm.unNormalOrder = result;
				}
			},
			// 扫码入库
			NormalHandler: function(result, money) {
				var reg = /^http/g;
				result = result.replace(/[\s|\"]*/g,"");
				if(result.length < 10 || reg.test(result)) {
					
					if(vm.activeOp == -1 && result.length < 10){
						vm.renderRecord(result,-1);
					}
					return mui.toast("快递单号有误，请重新扫码或手动输入!");	
				}
				if(!vm.token) {
					return mui.toast("您尚未登录!!");
				}
				money = +money || 0;
				var data = {
					isNormal: !!vm.isNormalOrder ? 1 : 0,
					expressNo: result,
					money: money,
					token: vm.token
				};
				mui.ajax("http://inn.kuaishao.xin/common/express/exPutIn", {
					type: "GET",
					data: data,
					success: function(ret) {
						if(ret.errcode != 0){
							mui.toast(ret.errmsg);
						}
						setTimeout(function() {
							vm.normalOrder = "";
							vm.unNormalOrder = "";
							vm.money = "";
							vm.isNormalOrder = true;  
							vm.activeOp = -1;
							vm.title = "入库单号记录";
							vm.renderRecord(result,ret.errcode);
							vm.startBarCodeScanner();
						}, vm.scanTimeGap)
					},
					fail: function() {
						vm.failPlayer.play();
						mui.toast("入库出错!!");
						setTimeout(function() {
							vm.startBarCodeScanner()
						}, vm.scanTimeGap)
					},
				});
			},
			// “确认”
			confirmOrder: function(){
				if(vm.activeOp == 1){
					if(!vm.normalOrder) return mui.toast("请确认单号!!");
					vm.NormalHandler(vm.normalOrder);
					return;
				}
				if(!vm.unNormalOrder) return mui.toast("请确认单号!!");
				if(vm.money < 1) return mui.toast("到付件费用最少为1元!!");
				vm.NormalHandler(vm.unNormalOrder, vm.money);
			},
			// 入库记录数据渲染
			renderRecord: function(result,code){
				if(code == 500)return;
				if(vm.togglePlay && code == 0){
					var successPlayer = plus.audio.createPlayer('../audio/success.mp3');
					vm.startPlay(successPlayer);
				}
				if(vm.recordData.length == 3 && result){  //已有三条记录 删除第一条
					vm.recordData.shift();
				}
				var stateText = ["入库失败","入库成功"];
				var obj = {
					expressNo: result,
					state: 1, // 入库成功
					stateDes: "入库成功",
				};
				if(code != 0){
					if(vm.togglePlay){
						failPlayer = plus.audio.createPlayer('../audio/fail.mp3');
						vm.startPlay(failPlayer);
					}
					obj.state = 0; // 入库失败
					obj.stateDes = "入库失败";
				}
				vm.recordData.push(obj); //加入最新入库记录				
			},
			// 撤销入库
			recall: function(index){
				var order = vm.recordData[index].expressNo;
				mui.confirm("确认撤销入库单号为  " + order + "  的快件吗？","撤销快件入库",["确定","取消"],function(e){
					if(e.index == 0){
						mui.ajax("http://inn.kuaishao.xin/common/express/canclePutIn", {
							type: "GET",
							data: {
								orderId: order,
								token: vm.token
							},
							success: function(ret) {
								mui.toast(ret.errmsg);
								if(ret.errcode == 0){
									vm.recordData.splice(index,1);
								}
							},
							fail: function() {
								mui.toast("入库撤销失败!!");
				  			},
						});
					}
				})
			},
			startPlay: function (playerObj){
				
	      		vm.playerQueue.push(playerObj);
	      		vm.playing();
	        },
	      	playing: function (){
	      		if(!vm.flag || !vm.playerQueue[0])return;
	      		vm.flag = false;
	      		var player = vm.playerQueue[0];
				player.play(function(){
					vm.playerQueue.shift();
					vm.flag = true;
					if(vm.playerQueue[0]){
						vm.playing();
					}
				},function(e){
					mui.toast("提示音出错！" + e.message)
				});
	       },
	       changePlay: function(){
	       	  if(vm.playerQueue[0]){
	       	  	vm.playerQueue[0].stop();
	       	  }
	       	  console.log(vm.togglePlay)
	       	  vm.playerQueue = [];
	       	  vm.togglePlay = !vm.togglePlay;
	       	  vm.flag = true;
	       }
		}
	})
	mui.init();
	mui.plusReady(function(){
		if(vm.ws || !window.plus) {
			return;
		}
		vm.barcodeScan && vm.barcodeScan.setFlash("true");
		vm.token = plus.storage.getItem("token");
		if(!vm.token) {
			openWebview("../index.html", "index");
			return;
		}
		// 获取窗口对象
		vm.ws = plus.webview.currentWebview();
		vm.barCodeFilters = [
			plus.barcode.CODE128,
			plus.barcode.EAN13,
			plus.barcode.UPCA,
		];
		// 开始扫描
		vm.ws.addEventListener('show', function() {
			plus.nativeUI.closeWaiting();
			vm.startBarCodeScanner();
		});
		// 显示页面并关闭等待框
		vm.ws.show('pop-in');
	})
