var errorMsg = {
	timeout: "网络请求超时",
	error: "网络出错",
	abort: "网络中断",
	parsererror: "数据解析出错",
}

mui.init();
function plusReady() {
	//检查登录状态是否过期
	var checkLogin = function(cb) {
		
		var token = plus.storage.getItem("token");
		if(!token) return cb(false);
		
		mui.ajax('http://inn.kuaishao.xin/common/express/checkLogin',{
			data:{
				token: token
			},
			dataType:'json',//服务器返回json格式数据
			type:'get',//HTTP请求类型
			timeout:5000,//超时时间设置为5秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				cb(data.errcode == 0);
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				mui.toast(errorMsg[type]);
				cb(false);
			}
		});
	//	mui.get("http://inn.kuaishao.xin/common/express/checkLogin", {
	//		token: token
	//	}, function(ret) {
	//		cb(ret.errcode == 0);
	//	}, "json");
	};
	var runWelcomePage = function(isLogined) {
		if(isLogined) {
			showWebview("./views/functions.html", "functions");
			return;
		}else{
			plus.navigator.closeSplashscreen();
		}
	};
	//检查登录状态是否过期
	checkLogin(function(isLogined) {
		runWelcomePage(isLogined);
	});
	
	
	//获取账户记录的账号密码
	var user = plus.storage.getItem("user");
	var password = plus.storage.getItem("password");
	
	document.querySelector(".userNum>input").value = user;
	document.querySelector(".password>input").value = password;
	
	mui(document.body).on("tap", ".login", function() {
		$(".userNum>input, .password>input").blur();
		//禁止反复点击
		mui(this).button('loading');
	    setTimeout(function() {
	        mui(this).button('reset');
	    }.bind(this), 1000);
	    
		var phone = $(".userNum>input").val();
		var password = $(".password>input").val();
		if(!/^1\d{10}$/.test(phone)) {
			return mui.toast("请输入正确的手机号码!!");
		}
		if(password.length < 8) {
			return mui.toast("密码长度不少于8位!!");
		}
		loginData = {
			phone: phone,
			password: password
		};
		plus.storage.setItem("user", loginData.phone);
		doLogin(loginData);
	})
	//自定义返回键
	mui.back=function () {
    	var btnArray = ['是', '否'];
    	mui.confirm('是否退出应用', '快捎驿站', btnArray, function(e) {
		  	if (e.index == 0) {
		      plus.runtime.quit();
			}
        })
   	 }
}

//用户账号密码
var loginData = {};

if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}

var doLogin = function(loginData) {
	mui.ajax("http://inn.kuaishao.xin/common/express/appLogin", { data: loginData, 
		dataType: "json",
		type: 'get',
		success: function(ret) {
			if(ret.errcode != 0) {
				return mui.toast(ret.errmsg);
			}
			console.log(JSON.stringify(ret));
			if(!ret.token) return mui.toast("登录失败");
			plus.storage.setItem("token", ret.token);
			var remember = document.querySelector("#remenberPaw").checked;
			if(remember) {
				plus.storage.setItem("password", loginData.password);
			}
			var obj = showWebview("views/functions.html", "functions");
	   },
	   error: function(xhr,type,errorThrown){
	   	    mui.toast(errorMsg[type]);
	   }});
};



mui(".remember").on("tap", ".forget", function() {
	showWebview("./views/forget.html", "forget");
})
