mui.init();
var vm = new Vue({
	el: "#refreshContainer",
	data: {
		yearCur: "",
		monthCur: "",
		dataAll: "",
		years: [],
		months: [
			{time: "1"},
			{time: "2"},
			{time: "3"},
			{time: "4"},
			{time: "5"},
			{time: "6"},
			{time: "7"},
			{time: "8"},
			{time: "9"},
			{time: "10"},
			{time: "11"},
			{time: "12"}
		]
	},
	methods: {
		timeCur: function() {
			var year = (new Date()).getFullYear();
			var month = (new Date()).getMonth() + 1;
			this.yearCur = year;
			this.monthCur = month;
			var len = parseInt(year) - 2015 + 1;
			var years = [];
			for(var i = 0; i < len; i++) {
				years.push({time: (2015+i)});
			}
			this.years = years;
			dataLoad();
		}
	}
})
if(window.plus) {
	vm.timeCur();
}else {
	document.addEventListener('plusready', vm.timeCur, false);
}

var yearSelBox = $(".yearSelBox");
var monthSelBox = $(".monthSelBox");
//打开年份选择
mui(document.body).on("tap", ".year", function() {
	//防止连续点击
	var type = $(this).attr("data-type");
	if(type == 1) {
		return false;
	}
	$(this).attr("data-type", "1");
	setTimeout(function() {
		$(".year").attr("data-type", "0");
	}, 300);
	
	$(this).children("i").toggleClass('xz');
	monthSelBox.hide();
	$(".month i").removeClass('xz');
	yearSelBox.toggle(200);
})
//打开月份选择
mui(document.body).on("tap", ".month", function() {
	//防止连续点击
	var type = $(this).attr("data-type");
	if(type == 1) {
		return false;
	}
	$(this).attr("data-type", "1");
	setTimeout(function() {
		$(".month").attr("data-type", "0");
	}, 300);
	
	$(this).children("i").toggleClass('xz');
	yearSelBox.hide();
	$(".year i").removeClass('xz');
	monthSelBox.toggle(200);
})

//数据加载
var token = "";
function dataLoad() {
	if(window.plus) {
		if(!token) {
			token = plus.storage.getItem("token");
		};
		plus.nativeUI.showWaiting("加载中...");
	}else {
		return mui.toast("加载配置中，请稍后再试");
	}
	mui.ajax("http://inn.kuaishao.xin/common/express/listOrders", {
		data:{
			token: token,
			year: vm.yearCur,
			month: vm.monthCur
		},
		type:'get',//HTTP请求类型
		timeout:5000,//超时时间设置为10秒；
		success:function(data){
			//服务器返回响应，根据响应结果，分析是否登录成功；
			plus.nativeUI.closeWaiting();
			if(data.errcode == 0) {
				var curDate = new Date();
				if(vm.yearCur == curDate.getFullYear() && vm.monthCur == (curDate.getMonth() + 1)) {
					var len = curDate.getDate();
				}else {
					var len = data.stores.length;
				}
				var html = "";
				if(!data.stores[0]) {
					return vm.dataAll = html;
				}
				for(var i = len-1; i >= 0; i--) {
					var time= new Date(vm.yearCur +'/'+ vm.monthCur +'/'+ (i+1)).getTime();
					html += '<div class="data" data-time="'+ time +'"><div class="title">'+ vm.yearCur +'年'+ vm.monthCur +'月'+ (i+1) +'日</div>';
					html += '<div class="dataCts">';
					html +=		'<div><span class="type"><i class="mui-icon mui-icon-arrowthindown"></i>已入库</span><span class="num"><span>'+ data.stores[i].putIn +'</span>/件</span></div>';
					html +=		'<div><span class="type"><i class="mui-icon mui-icon-arrowthinup"></i>已出库</span><span class="num"><span>'+ data.stores[i].outPut +'</span>/件</span></div>';
					html +=		'<div><span class="type"><i class="mui-icon mui-icon-info"></i>异常件</span><span class="num"><p>'+ data.stores[i].expOrder +'</p>/件</span></div>';
					html +=	'<div><span class="type"><i class="mui-icon mui-icon-help"></i>滞留件</span><span class="num"><p>'+ data.stores[i].stayOrder +'</p>/件</span></div>';
					html +='</div></div>';
				}
				vm.dataAll = html;
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			plus.nativeUI.closeWaiting();
			mui.toast("加载失败,请检查网络设置");
		}
	})
}

//选择年份
mui(document.body).on("tap", ".yearSel>span", function() {
	$(".yearSel>span").removeClass("yearSeled");
	$(this).addClass("yearSeled");
	$(".year").children("i").toggleClass('xz');
	yearSelBox.toggle(200);
	if(vm.yearCur == $(this).html()){
		return false;
	}
	vm.yearCur = $(this).html();
	dataLoad();
})
//选择月份
mui(document.body).on("tap", ".monthSel>span", function() {
	$(".monthSel>span").removeClass("monthSeled");
	$(this).addClass("monthSeled");
	$(".month").children("i").toggleClass('xz');
	monthSelBox.toggle(200);
	if(vm.monthCur == $(this).html()){
		return false;
	}
	vm.monthCur = $(this).html();
	dataLoad();
})
//查看某天快件详情
mui(document.body).on("tap", ".data", function() {
	var time = $(this).attr("data-time");
	showWebview("innDataDetail.html", "innDataDetail", {time: time});
//	mui.ajax("", {
//		data:{
//			token: token,
//			time: time
//		},
//		type:'get',//HTTP请求类型
//		timeout:5000,//超时时间设置为10秒；
//		success:function(data){
//			//服务器返回响应，根据响应结果，分析是否登录成功；
//			plus.nativeUI.closeWaiting();
//			if(data.errcode == 0) {
//				
//			}
//		},
//		error:function(xhr,type,errorThrown){
//			//异常处理；
//			plus.nativeUI.closeWaiting();
//			mui.toast("加载失败,请检查网络设置");
//		}
//	})
})

function refresh() {
	var that = this;
//	that.endPullupToRefresh(true);
	mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
}
mui('#refreshContainer').pullRefresh({
    up: {
    	height:50,//可选.默认50.触发上拉加载拖动距离
        contentrefresh: "正在加载...",
        contentnomore: "没有更多数据了",
        callback: refresh
    }
});
