mui.init();
var search = document.querySelector(".search");
var lightBtn = document.querySelector(".light");
var timer;
var vm_search = new Vue({
	el: "#content",
	data: {
		token: "",
		searchText: "",
		scanBtn: false,
		qrcode: null,
		scanBtn: false,
		lighting: false,
		label: false,
		noMore: false,
		dataList: [],
		timer: null
	},
	methods: {
		init: function() {
			var old_back = mui.back;
			mui.back = function() {
				if(vm_search.qrcode.scanner == null) {
					old_back();
				}
				vm_search.cancelScan();
			}

		},
		scan: function() {
			if(!this.qrcode) return;
			search.blur();
			plus.nativeUI.showWaiting("正在初始化摄像头...");
			var self = this;
			vm_search.lighting = false;
			lightBtn.style.opacity = 0.5;
			setTimeout(function() {
				vm_search.scanBtn = true;
				self.qrcode.start();
			}, 300);
		},
		switchLight: function() {
			if(!this.qrcode) return;
			this.qrcode.toggleFlash();
			if(!vm_search.lighting) {
				lightBtn.style.opacity = 1;
				vm_search.lighting = true;
			} else {
				lightBtn.style.opacity = 0.5;
				vm_search.lighting = false;
			}
		},
		cancelScan: function() {
			if(!this.qrcode) return;
			this.qrcode.close();
			vm_search.scanBtn = false;
		},
		searchData: function() {
			clearTimeout(timer);
			timer = setTimeout(function() {
				mui.ajax("http://inn.kuaishao.xin/common/express/checkOrder", {
					data: {
						token: vm_search.token,
						expressNo: vm_search.searchText
					},
					dataType: "json",
					type: "get",
					timeout: 10000,
					success: function(data) {
						if(data.errcode == 0) {
							vm_search.backEdit(data.order);
						} else {
							mui.toast("请检查订单号！")
						}
					},
					error: function(xhr, type, errorThrown) {
						mui.toast("加载失败");
					}
				})
			}, 300);
		},
		backEdit: function(data) {
			vm_search.dataList = [];
			var obj = {};
			for(var i = 0; i < data.length; i++) {
				obj.vcodeTitle = "取件码";
				obj.changeTitle = "查看验证码";
				obj.expressCompany = data[i].expressCompany;
				obj.expressNo = data[i].expressNo;
				obj._id = data[i]._id;
				obj.state = data[i].state;
				obj.customTel = data[i].customTel;
				obj.vcode = data[i].vcode;
				obj.pwd = data[i].pwd;
				obj.code = obj.vcode;
				obj.putInDate = timeToDate(data[i].putInDate);
				obj.arriveDate = data[i].arriveDate != -1 ? timeToDate(data[i].arriveDate) : "未到站";
				obj.outPutDate = data[i].outPutDate != -1 ? timeToDate(data[i].outPutDate) : "未出库";
				obj.payState = data[i].payState;
				obj.money = data[i].money;
				vm_search.dataList.push(obj);
			}
			vm_search.noMore = true;
		},
		changeLook: function(index) {
			var data = vm_search.dataList[index];
			if(data.vcodeTitle == "取件码") {
				data.vcodeTitle = "验证码";
				data.changeTitle = "查看取件码";
				data.code = data.pwd;
			} else {
				data.vcodeTitle = "取件码";
				data.changeTitle = "查看验证码";
				data.code = data.vcode;
			}
		},
		changeLabel: function(index) {
			var data = vm_search.dataList[index];
			plus.nativeUI.waiting;
			var id = data._id; //?id是订单id还是快递单号
			if(!id) {
				return mui.toast("无可标记快件");
			}
			mui.ajax("http://inn.kuaishao.xin/common/express/updateStoreState", {
				data: {
					token: vm_search.token,
					oid: id
				},
				type: "get",
				timeout: 10000,
				success: function(data) {
					if(data.errcode == 0) {
						vm_search.dataList[index].state = 5;
					} else {
						mui.toast(data.errmsg);
					}
					plus.nativeUI.closeWaiting();
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			})
		}
	}
})
vm_search.init();

mui.plusReady(function() {
	vm_search.token = plus.storage.getItem("token");

	// 点击扫码按钮
	vm_search.qrcode = new Qrcode({
		lazy: true,
		filters: [plus.barcode.CODE128],
	});
	vm_search.qrcode.on("marked", function(data) {
		vm_search.qrcode.close();
		vm_search.scanBtn = false;
		plus.nativeUI.showWaiting();
		vm_search.searchText = data.code;
		mui.ajax("http://inn.kuaishao.xin/common/express/checkOrder", {
			data: {
				token: vm_search.token,
				expressNo: data.code,
			},
			dataType: "json",
			type: "get",
			timeout: 10000,
			success: function(data) {
				if(data.errcode == 0) {
					vm_search.backEdit(data.order);
				} else {
					mui.toast("请检查订单号！")
				}
				plus.nativeUI.closeWaiting();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("加载失败");
				plus.nativeUI.closeWaiting();
			}
		})
	});
	vm_search.qrcode.on("started", function() {
		plus.nativeUI.closeWaiting();
	});
})

function confirm() {
	clearTimeout(timer);
	if(!vm_search.qrcode) {
		timer = setTimeout(confirm, 10);
		return;
	}
	vm_search.scan();
}
window.addEventListener('openCode', function() {
	confirm();
})
window.addEventListener('searchData', function(e) {
	vm_search.searchText = e.detail.data;
	vm_search.searchData();
})